/*
 * MultiInitialStateNFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "MultiInitialStateNFA.h"
#include "../Automaton.h"
#include <object/Object.h>
#include <XmlApi.hpp>

#include <cast/CastApi.hpp>

namespace alib {

auto multiInitialStateNFAParserRegister = xmlApi < automaton::Automaton >::ParserRegister < automaton::MultiInitialStateNFA < > > ( );
auto multiInitialStateNFAParserRegister2 = xmlApi < alib::Object >::ParserRegister < automaton::MultiInitialStateNFA < > > ( );

auto MultiInitialStateNFAFromDFA = castApi::CastRegister < automaton::MultiInitialStateNFA < >, automaton::DFA < > > ( );
auto MultiInitialStateNFAFromNFA = castApi::CastRegister < automaton::MultiInitialStateNFA < >, automaton::NFA < > > ( );
auto MultiInitialStateNFACastBinder = castApi::CastPoolStringBinder < automaton::MultiInitialStateNFA < > > ( automaton::MultiInitialStateNFA < >::getXmlTagName() );

} /* namespace alib */
