#include "RTE.h"
#include "../alphabet/Symbol.h"
#include "../string/LinearString.h"

#include <XmlApi.hpp>

namespace rte {

const std::set < alphabet::RankedSymbol > & RTE::getAlphabet ( ) const {
	return this->getData ( ).getAlphabet ( );
}

const std::set < alphabet::RankedSymbol > & RTE::getSubstitutionAlphabet ( ) const {
	return this->getData ( ).getSubstitutionAlphabet ( );
}

} /* namespace rte */

namespace alib {

auto RTEDeleter = xmlApi < rte::RTE >::InputContextDeleter ( );
}
