#include "FormalRTEEmpty.h"

namespace rte {

FormalRTEEmpty::FormalRTEEmpty ( ) {
	// so that default constructor is available
}

FormalRTEEmpty * FormalRTEEmpty::clone ( ) const {
	return new FormalRTEEmpty ( * this );
}

FormalRTEEmpty * FormalRTEEmpty::plunder ( ) && {
	return new FormalRTEEmpty ( std::move ( * this ) );
}

int FormalRTEEmpty::compare ( const FormalRTEEmpty & ) const {
	return 0;
}

void FormalRTEEmpty::operator >>( std::ostream & out ) const {
	out << "(FormalRTEEmpty)";
}

bool FormalRTEEmpty::testSymbol ( const alphabet::RankedSymbol & ) const {
	return false;
}

void FormalRTEEmpty::computeMinimalAlphabet ( std::set < alphabet::RankedSymbol > & /*alphabetF*/, std::set < alphabet::RankedSymbol > & /*alphabetK*/ ) const {
}

bool FormalRTEEmpty::checkAlphabet ( const std::set < alphabet::RankedSymbol > & /* alphabetF */, const std::set < alphabet::RankedSymbol > & /* alphabetK */ ) const {
	return true;
}

FormalRTEEmpty::operator std::string ( ) const {
	std::stringstream ss;
	ss << * this;
	return ss.str ( );
}

} /* namespace rte */
