/*
 * NFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "NFA.h"
#include "../Automaton.h"
#include <object/Object.h>
#include <XmlApi.hpp>

#include <cast/CastApi.hpp>

namespace alib {

auto NFAParserRegister = xmlApi < automaton::Automaton >::ParserRegister < automaton::NFA < > > ( );
auto NFAParserRegister2 = xmlApi < alib::Object >::ParserRegister < automaton::NFA < > > ( );

auto NFAFromDFA = castApi::CastRegister < automaton::NFA < >, automaton::DFA < > > ( );
auto NFACastBinder = castApi::CastPoolStringBinder < automaton::NFA < > > ( automaton::NFA < >::getXmlTagName() );

} /* namespace alib */
