/*
 * CFG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "CFG.h"
#include "../Grammar.h"
#include <object/Object.h>
#include <XmlApi.hpp>

#include <cast/CastApi.hpp>

namespace alib {

auto CFGParserRegister = xmlApi < grammar::Grammar >::ParserRegister < grammar::CFG < > > ( );
auto CFGParserRegister2 = xmlApi < alib::Object >::ParserRegister < grammar::CFG < > > ( );

auto CFGEpsilonFreeCFG = castApi::CastRegister < grammar::CFG < >, grammar::EpsilonFreeCFG < > > ( );
auto CFGCastBinder = castApi::CastPoolStringBinder < grammar::CFG < > > ( grammar::CFG < >::getXmlTagName() );

} /* namespace alib */
