/*
 * TreeFeatures.h
 *
 *  Created on: Nov 16, 2014
 *      Author: Stepan Plachy
 */

#ifndef TREE_FEATURES_H_
#define TREE_FEATURES_H_

namespace tree {

enum class FEATURES {
	RANKED_TREE,
	RANKED_PATTERN,
	RANKED_NONLINEAR_PATTERN,
	PREFIX_RANKED_TREE,
	PREFIX_RANKED_BAR_TREE,
	PREFIX_RANKED_PATTERN,
	PREFIX_RANKED_BAR_PATTERN,
	UNRANKED_TREE,
	UNRANKED_PATTERN,
	UNRANKED_NONLINEAR_PATTERN
};

class Tree;
class TreeBase;

class RankedTree;
class RankedPattern;
class RankedNonlinearPattern;
class PrefixRankedTree;
class PrefixRankedBarTree;
class PrefixRankedPattern;
class PrefixRankedNonlinearPattern;
class PrefixRankedBarPattern;
class PrefixRankedBarNonlinearPattern;
class UnrankedTree;
class UnrankedPattern;
class UnrankedNonlinearPattern;

} /* namespace tree */

#endif /* TREE_FEATURES_H_ */
