/*
 * SizeStat.cpp
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#include "SizeStat.h"

void SizeStat::stat ( const container::Container & container ) {
	dispatch ( container.getData ( ) );
}

void SizeStat::stat ( const container::ObjectsSet & set ) {
	std::cout << set.size ( ) << std::endl;
}

auto SizeStatObjectsSet = SizeStat::RegistratorWrapper < void, container::ObjectsSet > ( SizeStat::stat );

void SizeStat::stat ( const label::LabelSetLabel & set ) {
	std::cout << set.getData ( ).size ( ) << std::endl;
}

void SizeStat::stat ( const alphabet::SymbolSetSymbol & set ) {
	std::cout << set.getData ( ).size ( ) << std::endl;
}
